## GogStyledObject

GogStyledObject

## Functions

GogStyle * | gog_style_new ()

## Types and Values

| GogStyle
| GogStyledObject
| GogStyledObjectClass

## Object Hierarchy

        GObject
        ╰── GogObject
            ╰── GogStyledObject
                ├── GogAxisBase
                ├── GogOutlinedObject
                ├── GogColorScale
                ├── GogGrid
                ├── GogGridLine
                ├── GogTrendLine
                ├── GogSeriesElement
                ├── GogSeries
                ╰── GogSeriesLines

## Implemented Interfaces

GogStyledObject implements GOStyledObject.

## Description

## Functions

### gog_style_new ()

    GogStyle *
    gog_style_new (void);

[skip]

#### Returns

the new GogStyle.

[transfer full]

## Types and Values

### GogStyle

    typedef struct _GogStyle GogStyle;

### GogStyledObject

    typedef struct _GogStyledObject GogStyledObject;

### GogStyledObjectClass

    typedef struct {
    	GogObjectClass base;

    	/* virtual */
    	void	  (*init_style)     	(GogStyledObject *obj, GOStyle *style);

    	/* signal */
    	void (*style_changed) (GogStyledObject *obj, GOStyle const *new_style);
    } GogStyledObjectClass;

#### Members

GogObjectClass `base`; | base class |
`init_style` () | intiializes the style. |
`style_changed` () | implemens the style-changed signal |